#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "K40SurvivorAnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class UK40SurvivorAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isSelfRemovingProjectile;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isBeingPickedUpWithProjectile;

public:
	UK40SurvivorAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK40SurvivorAnimInstance) { return 0; }
